Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class ItemEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ItemEvent

All Implemented Interfaces:
  Serializable

    public class ItemEvent

extends AWTEvent

A semantic event which indicates that an item was selected or deselected. This high-level event is generated by an ItemSelectable object (such as a List) when an item is selected or deselected by the user. The event is passed to every `ItemListener` object which registered to receive such events using the component's `addItemListener` method.

The object that implements the `ItemListener` interface gets this `ItemEvent` when the event occurs. The listener is spared the details of processing individual mouse movements and mouse clicks, and can instead process a "meaningful" (semantic) event like "item selected" or "item deselected".

Since:
  1.1
See Also:
  `ItemSelectable`, `ItemListener`, Tutorial: Writing an Item Listener, Serialized Form

Field Summary
`static int` | `DESELECTED` This state-change-value indicates that a selected item was deselected.
`static int` | `ITEM_FIRST` The first number in the range of ids used for item events.
`static int` | `ITEM_LAST` The last number in the range of ids used for item events.
`static int` | `ITEM_STATE_CHANGED` This event id indicates that an item's state changed.
`static int` | `SELECTED` This state-change value indicates that an item was selected.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ItemEvent(ItemSelectable source, int id, Object item, int stateChange)` Constructs an `ItemEvent` object.

Method Summary
`Object` | `getItem()` Returns the item affected by the event.
`ItemSelectable` | `getItemSelectable()` Returns the originator of the event.
`int` | `getStateChange()` Returns the type of state change (selected or deselected).
`String` | `paramString()` Returns a parameter string identifying this item event.

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, setSource, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ITEM_FIRST

    public static final int ITEM_FIRST

  The first number in the range of ids used for item events.

  See Also:
    Constant Field Values

### ITEM_LAST

    public static final int ITEM_LAST

  The last number in the range of ids used for item events.

  See Also:
    Constant Field Values

### ITEM_STATE_CHANGED

    public static final int ITEM_STATE_CHANGED

  This event id indicates that an item's state changed.

  See Also:
    Constant Field Values

### SELECTED

    public static final int SELECTED

  This state-change value indicates that an item was selected.

  See Also:
    Constant Field Values

### DESELECTED

    public static final int DESELECTED

  This state-change-value indicates that a selected item was deselected.

  See Also:
    Constant Field Values

Constructor Detail

### ItemEvent

    public ItemEvent(ItemSelectable source,
                     int id,
                     Object item,
                     int stateChange)

  Constructs an `ItemEvent` object.

  Note that passing in an invalid `id` results in unspecified behavior. This method throws an `IllegalArgumentException` if `source` is `null`.

  Parameters:
    `source` - the `ItemSelectable` object that originated the event
    `id` - an integer that identifies the event type
    `item` - an object -- the item affected by the event
    `stateChange` - an integer that indicates whether the item was selected or deselected
  Throws:
    `IllegalArgumentException` - if `source` is null

Method Detail

### getItemSelectable

    public ItemSelectable getItemSelectable()

  Returns the originator of the event.

  Returns:
    the ItemSelectable object that originated the event.

### getItem

    public Object getItem()

  Returns the item affected by the event.

  Returns:
    the item (object) that was affected by the event

### getStateChange

    public int getStateChange()

  Returns the type of state change (selected or deselected).

  Returns:
    an integer that indicates whether the item was selected or deselected
  See Also:
    `SELECTED`, `DESELECTED`

### paramString

    public String paramString()

  Returns a parameter string identifying this item event. This method is useful for event-logging and for debugging.

  Overrides:
    `paramString` in class `AWTEvent`
  Returns:
    a string identifying the event and its attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.